mod_wsgi Header Client-IP less trusted source

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
7.4$0-$5k0.03

A vulnerability was found in mod_wsgi (unknown version). It has been rated as critical. This issue affects an unknown code block of the component Header Handler. The manipulation of the argument Client-IP with an unknown input leads to a less trusted source vulnerability. Using CWE to declare the problem leads to CWE-348. The software has two different sources of the same data or information, but it uses the source that has less support for verification, is less trusted, or is less resistant to attack. Impacted is confidentiality, integrity, and availability. The summary by CVE is:

A vulnerability was found in mod_wsgi. The X-Client-IP header is not removed from a request from an untrusted proxy, allowing an attacker to pass the X-Client-IP header to the target WSGI application because the condition to remove it is missing.

The weakness was shared 08/26/2022. It is possible to read the advisory at github.com. The identification of this vulnerability is CVE-2022-2255 since 06/29/2022. Technical details of the vulnerability are known, but there is no available exploit. The pricing for an exploit might be around USD $0-$5k at the moment (estimation calculated on 10/02/2022).

There is no information about possible countermeasures known. It may be suggested to replace the affected object with an alternative product.

Productinfo

Name

CPE 2.3info

CPE 2.2info

CVSSv3info

VulDB Meta Base Score: 7.4
VulDB Meta Temp Score: 7.4

VulDB Base Score: 7.3
VulDB Temp Score: 7.3
VulDB Vector: 🔒
VulDB Reliability: 🔍

NVD Base Score: 7.5
NVD Vector: 🔒

CVSSv2info

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Reliability: 🔍

Exploitinginfo

Class: Less trusted source
CWE: CWE-348
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔒
Status: Not defined

EPSS Score: 🔒
EPSS Percentile: 🔒

Price Prediction: 🔍
Current Price Estimation: 🔒

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: no mitigation known
Status: 🔍

0-Day Time: 🔒

Timelineinfo

06/29/2022 CVE reserved
08/26/2022 +58 days Advisory disclosed
08/26/2022 +0 days VulDB entry created
10/02/2022 +37 days VulDB last update

Sourcesinfo

Advisory: DLA 3111-1
Status: Confirmed

CVE: CVE-2022-2255 (🔒)

Entryinfo

Created: 08/26/2022 09:52 AM
Updated: 10/02/2022 09:55 AM
Changes: 08/26/2022 09:52 AM (36), 10/02/2022 09:52 AM (1), 10/02/2022 09:55 AM (11)
Complete: 🔍

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you know our Splunk app?

Download it now for free!